Function
hash
Computes a (lower) hash value for a shape applied to a sequence.
hash(shape, it)
hash(shape, it, charsLeft)
Parameters

shape | Shape to be used for hashing. Types: Shape
it | Sequence iterator pointing to the first character of the shape.
charsLeft | The distance of it to the string end. If charsLeft is smaller than the shape's span, the hash value corresponds to the smallest shape beginning with charsLeft characters.

Return Values
Hash value of the shape.
See Also
hashNext, hashUpper, hash2
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47